package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.Alamat;
import com.jasamedika.medifirst2000.entities.PapRencanaOrderRadiologi;

public class InputRencanaOrderRadiologiVO extends BaseTransactionVO {
	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")	
	private PapRencanaOrderRadiologiVO papRencanaOrderRadiologi;
	
	@OneToMany
	private Set<ProdukVO> produkSet=new HashSet<ProdukVO>();
	
	public PapRencanaOrderRadiologiVO getPapRencanaOrderRadiologi() {
		return papRencanaOrderRadiologi;
	}
	public void setPapRencanaOrderRadiologi(PapRencanaOrderRadiologiVO papRencanaOrderRadiologi) {
		this.papRencanaOrderRadiologi = papRencanaOrderRadiologi;
	}
	public Set<ProdukVO> getProdukSet() {
		return produkSet;
	}
	public void setProdukSet(Set<ProdukVO> produkSet) {
		this.produkSet = produkSet;
	}
	
}
